# Create Enrollment Attachment

## POST /public/v1/program/enrollments/{enrollmentId}/attachments

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.155-g3cf2ba3f"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/program/enrollments/{enrollmentId}/attachments":{"post":{"tags":["EnrollmentAttachments"],"parameters":[{"name":"enrollmentId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"attachment":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"}},"description":"Json representation of the attachment"},"file":{"type":"string","format":"binary"}}},"encoding":{"attachment":{"contentType":"application/json"},"file":{"contentType":"application/octet-stream"}}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnrollmentAttachment"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"EnrollmentAttachment":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"description":{"type":"string"},"type":{"type":"string"},"filename":{"type":"string"},"size":{"type":"integer","format":"int32"},"contentType":{"type":"string"},"enrollment":{"type":"object","allOf":[{"$ref":"#/components/schemas/EnrollmentRef"}]}},"additionalProperties":false},"Audit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Event":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/Identity"}]}},"additionalProperties":false},"Identity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"icon":{"type":"string","nullable":true}},"additionalProperties":false},"Metadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"EnrollmentRef":{"type":"object","properties":{"id":{"type":"string"},"applicableTo":{"type":"string","allOf":[{"$ref":"#/components/schemas/ProgramApplicableTo"}]},"type":{"type":"string","allOf":[{"$ref":"#/components/schemas/EnrollmentType"}]},"eligibility":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProgramEligibility"}]},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/EnrollmentStatus"}]}},"additionalProperties":false},"ProgramApplicableTo":{"enum":["Buyer","Licensee"],"type":"string"},"EnrollmentType":{"enum":["Change","New"],"type":"string"},"ProgramEligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"EnrollmentStatus":{"enum":["Processing","Querying","Completed","Failed"],"type":"string"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
